using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class LinqEntitiesThenBy : System.Web.UI.Page
{   
    protected void btnExecutar_Click(object sender, EventArgs e)
    {
        using (NorthwindDataContext db = new NorthwindDataContext())
        {
            var query = db.Products
           .OrderBy(c => c.ProductID)
           .ThenBy(t=>t.ProductName)
           .Select(produto => new
           {
               IdProduto = produto.ProductID,
               NomeProduto = produto.ProductName,
               preço=produto.UnitPrice
           });

            GridView1.DataSource = query;
            GridView1.DataBind();
        }
    }
}